import java.io.*;
import H5AL1;

class f1 extends fx
{
  double f(double x)
  {
  return x*x;
  }
}

class f2 extends fx
{
  double f(double x)
  {
  return Math.sin(x);
  }
}


public class H5AL2
{
  public static void main(String args[]) throws IOException
  {
  f1 b1;
  b1=new f1();
  System.out.println("Integral : "+H5AL1.integral(b1,0.0,1.0));
  System.out.println("Turev    : "+H5AL1.turev(b1,1.0));
  f2 b2;
  b2=new f2();
  System.out.println("Integral : "+H5AL1.integral(b2,0.0,Math.PI));
  System.out.println("Turev    : "+H5AL1.turev(b2,Math.PI));
}
}
